LicentaSfranciog/Controllers/CheltuieliController.cs
using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using Microsoft.AspNetCore.Mvc;
using Microsoft.AspNetCore.Mvc.Rendering;
using Microsoft.EntityFrameworkCore;
using LicentaSfranciog.Models;
using LicentaSfranciog.Data;
using LicentaSfranciog.Models.ViewModels;
using Microsoft.AspNetCore.Authorization;

namespace LicentaSfranciog.Controllers
{
    [Authorize]
    public class CheltuieliController : Controller
    {
        //private readonly ApplicationDbContext _context;
        private readonly IDAL _idal;

        public CheltuieliController(IDAL idal)
        {
            _idal = idal;
        }

        // GET: Cheltuieli
        public IActionResult Index(int id)
        {
            if (TempData["Alert"] != null)
            {
                ViewData["Alert"] = TempData["Alert"];
            }
            return View(_idal.GetCheltuieliProces(id));
        }
       
        // GET: Cheltuieli/Details/5
        public IActionResult Details(int? id)
        {
            if (id == null )
            {
                return NotFound();
            }

            var cheltuiala = _idal.GetCheltuiala((int)id);
            if (cheltuiala == null)
            {
                return NotFound();
            }

            return View(cheltuiala);
        }

        // GET: Cheltuieli/Create
        public IActionResult Create()
        {
            return View(new CheltuialaViewModel(_idal.GetProcese()));
        }

        // POST: Cheltuieli/Create
        // To protect from overposting attacks, enable the specific properties you want to bind to.
        // For more details, see http://go.microsoft.com/fwlink/?LinkId=317598.
        [HttpPost]
        [ValidateAntiForgeryToken]
        public async Task<IActionResult> Create(CheltuialaViewModel viewModel, IFormCollection form)
        {
            try
            {
                _idal.CreateCheltuiala(form);
                TempData["Alert"] = "Succes! Cheltuială introdusă pentru procesul: " + form["Proces"];
                return RedirectToAction("Index", "Procese");
            }
            catch (Exception ex)
            {
                ViewData["Alert"] = "An error occurred" + ex.Message;
                return View(viewModel);
            }
        }

        // GET: Cheltuieli/Edit/5
        public IActionResult Edit(int? id)
        {
            if (id == null )
            {
                return NotFound();
            }

            var cheltuiala = _idal.GetCheltuiala((int)id);
            if (cheltuiala == null)
            {
                return NotFound();
            }
            var vm = new CheltuialaViewModel(cheltuiala, _idal.GetProcese());
            return View(vm);
        }

        // POST: Cheltuieli/Edit/5
        // To protect from overposting attacks, enable the specific properties you want to bind to.
        // For more details, see http://go.microsoft.com/fwlink/?LinkId=317598.
        [HttpPost]
        [ValidateAntiForgeryToken]
        public async Task<IActionResult> Edit(int id,IFormCollection form)
        {
            try
            {
                _idal.UpdateCheltuiala(form);
                TempData["Alert"] = "Succes! Date modificate pentru cheltuiala: "+ form["Cheltuiala.Titlu"];
                return RedirectToAction("Index", "Procese"); ;
            }
            catch (Exception ex)
            {
                ViewData["Alert"] = "An error occurred: " + ex.Message;
                var vm = new CheltuialaViewModel(_idal.GetCheltuiala(id), _idal.GetProcese());
                return View(vm);
            }
        }

        // GET: Cheltuieli/Delete/5
        public IActionResult Delete(int? id)
        {
            if (id == null )
            {
                return NotFound();
            }

            var cheltuiala = _idal.GetCheltuiala((int)id);
            if (cheltuiala == null)
            {
                return NotFound();
            }

            return View(cheltuiala);
        }

        // POST: Cheltuieli/Delete/5
        [HttpPost, ActionName("Delete")]
        [ValidateAntiForgeryToken]
        public IActionResult DeleteConfirmed(int id)
        {
            _idal.DeleteCheltuiala(id);
            TempData["Alert"] = "Cheltuială ştearsă!";
            return RedirectToAction("Index", "Procese");
        }

    }
}

LicentaSfranciog/Controllers/FacturiController.cs
using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using Microsoft.AspNetCore.Mvc;
using Microsoft.AspNetCore.Mvc.Rendering;
using Microsoft.EntityFrameworkCore;
using LicentaSfranciog.Models;
using LicentaSfranciog.Data;
using LicentaSfranciog.Models.ViewModels;
using Microsoft.AspNetCore.Authorization;

namespace LicentaSfranciog.Controllers
{
    [Authorize]
    public class FacturiController : Controller
    {
        //private readonly ApplicationDbContext _context;
        private readonly IDAL _idal;

        public FacturiController(IDAL idal)
        {
            _idal = idal;
        }

        // GET: Facturi
        public IActionResult Index()
        {
            if (TempData["Alert"] != null)
            {
                ViewData["Alert"] = TempData["Alert"];
            }
            return View(_idal.GetFacturi());
        }

        // GET: Facturi/Details/5
        public IActionResult Details(int? id)
        {
            if (id == null )
            {
                return NotFound();
            }

            var factura = _idal.GetFactura((int)id);
            if (factura == null)
            {
                return NotFound();
            }

            return View(factura);
        }

        // GET: Facturi/Create
        public IActionResult Create()
        {
            return View(new FacturaViewModel(_idal.GetProcese(), _idal.GetClients()));
        }

        // POST: Facturi/Create
        // To protect from overposting attacks, enable the specific properties you want to bind to.
        // For more details, see http://go.microsoft.com/fwlink/?LinkId=317598.
        [HttpPost]
        [ValidateAntiForgeryToken]
        public async Task<IActionResult> Create(FacturaViewModel viewModel, IFormCollection form)
        {
            try
            {
                _idal.CreateFactura(form);
                TempData["Alert"] = "Succes! Factură introdusă pentru procesul: " + form["Proces"];
                return RedirectToAction("Index");
            }
            catch (Exception ex)
            {
                ViewData["Alert"] = "An error occurred" + ex.Message;
                return View(viewModel);
            }
        }

        // GET: Facturi/Edit/5
        public IActionResult Edit(int? id)
        {
            if (id == null )
            {
                return NotFound();
            }

            var factura = _idal.GetFactura((int)id);
            if (factura == null)
            {
                return NotFound();
            }
            var vm = new FacturaViewModel(factura, _idal.GetProcese(), _idal.GetClients());
            return View(vm);
        }

        // POST: Facturi/Edit/5
        // To protect from overposting attacks, enable the specific properties you want to bind to.
        // For more details, see http://go.microsoft.com/fwlink/?LinkId=317598.
        [HttpPost]
        [ValidateAntiForgeryToken]
        public async Task<IActionResult> Edit(int id, IFormCollection form)
        {
            try
            {
                _idal.UpdateFactura(form);
                TempData["Alert"] = "Succes! S-au modificat datele factruii pentru procesul: " + form["Proces"];
                return RedirectToAction(nameof(Index));
            }
            catch (Exception ex)
            {
                ViewData["Alert"] = "An error occurred: " + ex.Message;
                var vm = new FacturaViewModel(_idal.GetFactura(id), _idal.GetProcese(), _idal.GetClients());
                return View(vm);
            }
        }

        // GET: Facturi/Delete/5
        public IActionResult Delete(int? id)
        {
            if (id == null )
            {
                return NotFound();
            }

            var factura = _idal.GetFactura((int)id);
            if (factura == null)
            {
                return NotFound();
            }

            return View(factura);
        }

        // POST: Facturi/Delete/5
        [HttpPost, ActionName("Delete")]
        [ValidateAntiForgeryToken]
        public IActionResult DeleteConfirmed(int id)
        {
            _idal.DeleteFactura(id);
            TempData["Alert"] = "Succes!Factură ştearsă!";
            return RedirectToAction(nameof(Index));
        }
        
    }
}

LicentaSfranciog/Controllers/ProceseController.cs
using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using Microsoft.AspNetCore.Mvc;
using Microsoft.AspNetCore.Mvc.Rendering;
using Microsoft.EntityFrameworkCore;
using LicentaSfranciog.Models;
using LicentaSfranciog.Data;
using LicentaSfranciog.Models.ViewModels;
using Microsoft.AspNetCore.Authorization;

namespace LicentaSfranciog.Controllers
{
    [Authorize]
    public class ProceseController : Controller
    {        
        private readonly IDAL _idal;

        public ProceseController(IDAL dal)
        {
            _idal = dal;
        }

        // GET: Procese
        public IActionResult Index(string searchString)
        {
            var model = _idal.GetProcese().ToList();
            if (TempData["Alert"] != null)
            {
                ViewData["Alert"] = TempData["Alert"];
            }
            if (!string.IsNullOrEmpty(searchString))
            {
                // Aplică filtrarea în funcție de necesități
                model = model.Where(p => p.Nume.IndexOf(searchString, StringComparison.OrdinalIgnoreCase) >= 0 || p.Partile.IndexOf(searchString, StringComparison.OrdinalIgnoreCase) >= 0).ToList();
            }

            return View(model);
        }

        // GET: Procese/Details/5
        public IActionResult Details(int? id)
        {
            if (id == null)
            {
                return NotFound();
            }

            var @proces = _idal.GetProces((int)id);
            if (@proces == null)
            {
                return NotFound();
            }

            return View(@proces);
        }

        // GET: Procese/Create
        public IActionResult Create()
        {
            return View(new ProcesViewModel(_idal.GetClients()));
        }

        // POST: Procese/Create
        // To protect from overposting attacks, enable the specific properties you want to bind to.
        // For more details, see http://go.microsoft.com/fwlink/?LinkId=317598.
        [HttpPost]
        [ValidateAntiForgeryToken]
        public async Task<IActionResult> Create(ProcesViewModel viewModel,IFormCollection form)
        {
            try
            {
                _idal.CreateProces(form);
                TempData["Alert"] = "Succes! Proces introdus: " + form["Proces.Nume"];
                return RedirectToAction("Index");
            }
            catch (Exception ex)
            {
                ViewData["Alert"] = "An error occurred" + ex.Message;
                return View(viewModel);
            }
        }

        // GET: Procese/Edit/5
        public IActionResult Edit(int? id)
        {
            if (id == null )
            {
                return NotFound();
            }

            var @proces = _idal.GetProces((int)id);
            if (@proces == null)
            {
                return NotFound();
            }
            var vm = new ProcesViewModel(@proces,_idal.GetClients());
            return View(vm);
        }

        // POST: Procese/Edit/5
        // To protect from overposting attacks, enable the specific properties you want to bind to.
        // For more details, see http://go.microsoft.com/fwlink/?LinkId=317598.
        [HttpPost]
        [ValidateAntiForgeryToken]
        public async Task<IActionResult> Edit(int id, IFormCollection form)
        {
            try
            {
                _idal.UpdateProces(form);
                TempData["Alert"] = "Succes! S-au modificat datele pentru procesul: " + form["Proces.Nume"];
                return RedirectToAction(nameof(Index));
            }
            catch (Exception ex)
            {
                ViewData["Alert"] = "An error occurred: " + ex.Message;
                var vm = new ProcesViewModel(_idal.GetProces(id), _idal.GetClients());
                return View(vm);
            }
        }

        // GET: Procese/Delete/5
        public IActionResult Delete(int? id)
        {
            if (id == null )
            {
                return NotFound();
            }
            var @proces = _idal.GetProces((int)id);
            if (@proces == null)
            {
                return NotFound();
            }
            return View(@proces);
        }

        // POST: Procese/Delete/5
        [HttpPost, ActionName("Delete")]
        [ValidateAntiForgeryToken]
        public IActionResult DeleteConfirmed(int id)
        {
            _idal.DeleteProces(id);
            TempData["Alert"] = "Succes!Proces sters!";
            return RedirectToAction(nameof(Index));
        }

        // Get: Proces/SesiuniLucrate
        public IActionResult SesiuniLucrate(int? id)
        {
            if (id == null)
            {
                return NotFound();
            }

            var sesiuni = _idal.GetSesiuniProces((int)id);
            if (sesiuni == null)
            {
                return NotFound();
            }
            return View(sesiuni);
        }
        //Create Sesiune Noua
        public IActionResult CreateSesiune()
        {
            return View(new SesiuneLucruViewModel(_idal.GetProcese()));
        }
        [HttpPost]
        [ValidateAntiForgeryToken]
        public async Task<IActionResult> CreateSesiune(SesiuneLucruViewModel viewModel, IFormCollection form)
        {
            try
            {
                _idal.CreateSesiune(form);
                TempData["Alert"] = "Succes! Sesiune introdusă pentru procesul: " + form["Proces"];
                return RedirectToAction("Index");
            }
            catch (Exception ex)
            {
                ViewData["Alert"] = "An error occurred" + ex.Message;
                return View(viewModel);
            }
        }
        public IActionResult SesiuneDetails(int? id)
        {
            if (id == null)
            {
                return NotFound();
            }

            var sesiuneLucru = _idal.GetSesiune((int)id);
            if (sesiuneLucru == null)
            {
                return NotFound();
            }

            return View(sesiuneLucru);
        }

        public IActionResult EditSesiune(int? id)
        {
            if (id == null)
            {
                return NotFound();
            }

            var sesiuneLucru = _idal.GetSesiune((int)id);
            if (sesiuneLucru == null)
            {
                return NotFound();
            }
            var vm = new SesiuneLucruViewModel(sesiuneLucru, _idal.GetProcese());
            return View(vm);
        }

        // POST: SesiuniLucru/Edit/5
        // To protect from overposting attacks, enable the specific properties you want to bind to.
        // For more details, see http://go.microsoft.com/fwlink/?LinkId=317598.
        [HttpPost]
        [ValidateAntiForgeryToken]
        public async Task<IActionResult> EditSesiune(int id, IFormCollection form)
        {
            try
            {
                _idal.UpdateSesiune(form);
                TempData["Alert"] = "Succes! Date modificate pentru sesiunea de lucru!: "; /*+ form["Eveniment.Nume"];*/
                return RedirectToAction(nameof(Index));
            }
            catch (Exception ex)
            {
                ViewData["Alert"] = "An error occurred: " + ex.Message;
                var vm = new SesiuneLucruViewModel(_idal.GetSesiune(id), _idal.GetProcese());
                return View(vm);
            }
        }
        public IActionResult DeleteSesiune(int? id)
        {
            if (id == null)
            {
                return NotFound();
            }

            var sesiuneLucru = _idal.GetSesiune((int)id);
            if (sesiuneLucru == null)
            {
                return NotFound();
            }

            return View(sesiuneLucru);
        }

        // POST: SesiuniLucru/Delete/5
        [HttpPost, ActionName("DeleteSesiune")]
        [ValidateAntiForgeryToken]
        public IActionResult DeleteSesiuneConfirmed(int id)
        {
            _idal.DeleteSesiune(id);
            TempData["Alert"] = "Sesiunea de Lucru ştearsă!";
            return RedirectToAction(nameof(Index));
        }

    }
}

LicentaSfranciog/Views/Procese/Create.cshtml
@model LicentaSfranciog.Models.ViewModels.ProcesViewModel

@{
    ViewData["Title"] = "Create";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<h1>Adăugare Proces Nou</h1>

<h4>Proces</h4>
<hr />
<div class="row">
    <div class="col-md-4">
        <form asp-action="Create" id="create-proces">
            <div asp-validation-summary="ModelOnly" class="text-danger"></div>
            <div class="form-group">
                <label asp-for="Proces.Nume" class="control-label"></label>
                <input asp-for="Proces.Nume" class="form-control" />
                <span asp-validation-for="Proces.Nume" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="Proces.Tip" class="control-label"></label>
                <input asp-for="Proces.Tip" class="form-control" />
                <span asp-validation-for="Proces.Tip" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="Proces.Partile" class="control-label"></label>
                <input asp-for="Proces.Partile" class="form-control" />
                <span asp-validation-for="Proces.Partile" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="Proces.Obiect" class="control-label"></label>
                <input asp-for="Proces.Obiect" class="form-control" />
                <span asp-validation-for="Proces.Obiect" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="Proces.Solutie" class="control-label"></label>
                <input asp-for="Proces.Solutie" class="form-control" />
                <span asp-validation-for="Proces.Solutie" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="Proces.OreLucrate" class="control-label"></label>
                <input asp-for="Proces.OreLucrate" class="form-control" />
                <span asp-validation-for="Proces.OreLucrate" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label>Client</label>
                @Html.DropDownList("Client",Model.Client , "Selectează un client", new {@class="form-control"})
            </div>
            <br />
            <div class="form-group">
                <input type="submit" value="Salvare" class="btn btn-primary" />
                <a class="btn btn-outline-success" asp-action="Index">Înapoi la Procese</a>
            </div>
        </form>
    </div>
</div>



@section Scripts {
    @{await Html.RenderPartialAsync("_ValidationScriptsPartial");}
}

LicentaSfranciog/Views/Procese/CreateSesiune.cshtml
@model LicentaSfranciog.Models.ViewModels.SesiuneLucruViewModel

@{
    ViewData["Title"] = "CreateSesiune";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<h1>Create</h1>

<h4>SesiuneLucru</h4>
<hr />
<div class="row">
    <div class="col-md-4">
        <form asp-action="CreateSesiune">
            <div asp-validation-summary="ModelOnly" class="text-danger"></div>
            <div class="form-group">
                <label asp-for="SesiuneLucru.avocat" class="control-label"></label>
                <input asp-for="SesiuneLucru.avocat" class="form-control" />
                <span asp-validation-for="SesiuneLucru.avocat" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="SesiuneLucru.DataCal" class="control-label"></label>
                <input asp-for="SesiuneLucru.DataCal" class="form-control" />
                <span asp-validation-for="SesiuneLucru.DataCal" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="SesiuneLucru.numarOre" class="control-label"></label>
                <input asp-for="SesiuneLucru.numarOre" class="form-control" />
                <span asp-validation-for="SesiuneLucru.numarOre" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label>Proces</label>
                @Html.DropDownList("Proces",Model.Proces , "Selectează un Proces", new {@class="form-control"})
            </div>
            <div class="form-group">
                <input type="submit" value="Salvează" class="btn btn-primary" />
                <a class="btn btn-outline-success" asp-action="Index">Înapoi la Procese</a>
            </div>
        </form>
    </div>
</div>


@section Scripts {
    @{
        await Html.RenderPartialAsync("_ValidationScriptsPartial");
    }
}

LicentaSfranciog/Views/Procese/Delete.cshtml
@model LicentaSfranciog.Models.Proces

@{
    ViewData["Title"] = "Delete";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<h1>Delete</h1>

<h3>Sunteţi sigur ca doriţi sa ştergeţi acest proces?</h3>
<div>
    
    <hr />
    <dl class="row">
        <dt class = "col-sm-2">
            @Html.DisplayNameFor(model => model.Nume)
        </dt>
        <dd class = "col-sm-10">
            @Html.DisplayFor(model => model.Nume)
        </dd>
        <dt class = "col-sm-2">
            @Html.DisplayNameFor(model => model.Tip)
        </dt>
        <dd class = "col-sm-10">
            @Html.DisplayFor(model => model.Tip)
        </dd>
        <dt class = "col-sm-2">
            @Html.DisplayNameFor(model => model.Partile)
        </dt>
        <dd class = "col-sm-10">
            @Html.DisplayFor(model => model.Partile)
        </dd>
        <dt class = "col-sm-2">
            @Html.DisplayNameFor(model => model.Obiect)
        </dt>
        <dd class = "col-sm-10">
            @Html.DisplayFor(model => model.Obiect)
        </dd>
        <dt class = "col-sm-2">
            @Html.DisplayNameFor(model => model.Solutie)
        </dt>
        <dd class = "col-sm-10">
            @Html.DisplayFor(model => model.Solutie)
        </dd>
        <dt class = "col-sm-2">
            @Html.DisplayNameFor(model => model.OreLucrate)
        </dt>
        <dd class = "col-sm-10">
            @Html.DisplayFor(model => model.OreLucrate)
        </dd>
    </dl>
    
    <form asp-action="Delete">
        <input type="hidden" asp-for="Id" />
        <input type="submit" value="Şterge" class="btn btn-danger" /> |
        <a class="btn btn-outline-success" asp-action="Index">Inapoi la Procese</a>
    </form>
</div>

LicentaSfranciog/Views/Procese/DeleteSesiune.cshtml
@model LicentaSfranciog.Models.SesiuneLucru

@{
    ViewData["Title"] = "DeleteSesiune";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<h1>Delete</h1>

<h3>Sunteţi sigur ca doriţi sa ştergeţi acestă sesiune?</h3>
<div>
    <h4>SesiuneLucru</h4>
    <hr />
    <dl class="row">
        <dt class="col-sm-2">
            @Html.DisplayNameFor(model => model.avocat)
        </dt>
        <dd class="col-sm-10">
            @Html.DisplayFor(model => model.avocat)
        </dd>
        <dt class="col-sm-2">
            @Html.DisplayNameFor(model => model.DataCal)
        </dt>
        <dd class="col-sm-10">
            @Html.DisplayFor(model => model.DataCal)
        </dd>
        <dt class="col-sm-2">
            @Html.DisplayNameFor(model => model.numarOre)
        </dt>
        <dd class="col-sm-10">
            @Html.DisplayFor(model => model.numarOre)
        </dd>
        <dt class="col-sm-2">
            @Html.DisplayNameFor(model => model.Proces)
        </dt>
        <dd class="col-sm-10">
            @Html.DisplayFor(model => model.Proces.Nume)
        </dd>
    </dl>

    <form asp-action="DeleteSesiune">
        <input type="hidden" asp-for="Id" />
        <input type="submit" value="Ştergere" class="btn btn-danger" /> |
        <a class="btn btn-outline-success" asp-action="Index">Înapoi la Procese</a>
    </form>
</div>

LicentaSfranciog/Views/Procese/Details.cshtml
@model LicentaSfranciog.Models.Proces

@{
    ViewData["Title"] = "Details";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<h1>Detalii</h1>

<div>
    <h4>Proces</h4>
    <hr />
    <dl class="row">
        <dt class = "col-sm-2">
            @Html.DisplayNameFor(model => model.Nume)
        </dt>
        <dd class = "col-sm-10">
            @Html.DisplayFor(model => model.Nume)
        </dd>
        <dt class = "col-sm-2">
            @Html.DisplayNameFor(model => model.Tip)
        </dt>
        <dd class = "col-sm-10">
            @Html.DisplayFor(model => model.Tip)
        </dd>
        <dt class = "col-sm-2">
            @Html.DisplayNameFor(model => model.Partile)
        </dt>
        <dd class = "col-sm-10">
            @Html.DisplayFor(model => model.Partile)
        </dd>
        <dt class = "col-sm-2">
            @Html.DisplayNameFor(model => model.Obiect)
        </dt>
        <dd class = "col-sm-10">
            @Html.DisplayFor(model => model.Obiect)
        </dd>
        <dt class = "col-sm-2">
            @Html.DisplayNameFor(model => model.Solutie)
        </dt>
        <dd class = "col-sm-10">
            @Html.DisplayFor(model => model.Solutie)
        </dd>
        <dt class = "col-sm-2">
            @Html.DisplayNameFor(model => model.OreLucrate)
        </dt>
        <dd class = "col-sm-10">
            @Html.DisplayFor(model => model.OreLucrate)
        </dd>
        <dt class="col-sm-2">
            @Html.DisplayNameFor(model => model.Client)
        </dt>
        <dd class="col-sm-10">
            @Html.DisplayFor(model => model.Client.Nume)
        </dd>
    </dl>
</div>
<div>
    <a class="btn btn-primary" asp-action="Edit" asp-route-id="@Model?.Id">Editare</a> |
    <a class="btn btn-outline-success" asp-action="Index">Înapoi la Procese</a>
</div>

LicentaSfranciog/Views/Procese/Index.cshtml
@model IEnumerable<LicentaSfranciog.Models.Proces>


@{
    ViewData["Title"] = "Index";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<h1>Procesele Cabinetului de Avocatura</h1>

@if(ViewData["Alert"] != null)
{
    <h3>@ViewData["Alert"]</h3>
}

<p>
    <a class="btn btn-primary" asp-action="Create">Adăugare Proces Nou</a>&nbsp;
    <a class="btn btn-warning" asp-area="" asp-controller="Facturi" asp-action="Index">Facturare</a>
    <form method="get" action="@Url.Action("Index")">
        <input  type="text" name="searchString" placeholder="Caută...">
        <button class="btn btn-info my-2 my-sm-0" type="submit">Caută</button>
    </form>
</p>


<table class="table">
    <thead>
        <tr>
            <th>
                @Html.DisplayNameFor(model => model.Nume)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.Tip)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.Partile)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.Obiect)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.Solutie)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.OreLucrate)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.Client)
            </th>
            <th></th>
        </tr>
    </thead>
    <tbody>
        @if (Model.Any())
        {
@foreach (var item in Model) {
        <tr>
            <td>
                @Html.DisplayFor(modelItem => item.Nume)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.Tip)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.Partile)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.Obiect)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.Solutie)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.OreLucrate)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.Client.Nume)
            </td>
                    <td class="text-center">
                <a class="btn btn-secondary" asp-action="Edit" asp-route-id="@item.Id">Editare</a> |
                <a class="btn btn-info" asp-action="Details" asp-route-id="@item.Id">Informaţii</a> |
                <a class="btn btn-danger" asp-action="Delete" asp-route-id="@item.Id">Ştergere</a> |
                <a class="btn btn-info" asp-action="SesiuniLucrate" asp-route-id="@item.Id">Ore Lucrate</a>
                        <a class="btn btn-warning mt-2" asp-area="" asp-controller="Cheltuieli" asp-action="Index" asp-route-id="@item.Id">Cheltuieli</a>
            </td>
        </tr>
    }
        }
        else
        {
            <p>Niciun proces disponibil.</p>
        }
    </tbody>
</table>